explain_acl_to_text_or_die(3)

NAME
explain_acl_to_text_or_die - convert an ACL to text and report errors

SYNOPSIS
#include <libexplain/acl_to_text.h>

char *explain_acl_to_text_or_die(acl_t acl, ssize_t *len_p);
char *explain_acl_to_text_on_error(acl_t acl, ssize_t *len_p);

DESCRIPTION
The explain_acl_to_text_or_die function is used to call the acl_to_text(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_acl_to_text(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_acl_to_text_on_error function is used to call the acl_to_text(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_acl_to_text(3) function, but still returns to the caller.

acl The acl, exactly as to be passed to the acl_to_text(3) system call.

len_p
    The len_p, exactly as to be passed to the acl_to_text(3) system call.

RETURN VALUE
The explain_acl_to_text_or_die function only returns on success, see acl_to_text(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_acl_to_text_on_error function always returns the value return by the wrapped acl_to_text(3) system call.

EXAMPLE
The explain_acl_to_text_or_die function is intended to be used in a fashion similar to the following example:
    char *result = explain_acl_to_text_or_die(acl, len_p);

SEE ALSO

acl_to_text(3)
    convert an ACL to text

explain_acl_to_text(3)
    explain acl_to_text(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller